<template>
  <div id="showrooms">
    <div class="loading" v-if="!items.length">
      <span>Loading ...</span>
    </div>
    <Showroom
      v-else
      v-for="item in items"
      v-bind:key="item.uuid"
      :item="item"
    />
  </div>
</template>

<script>

import Showroom from 'vuejs/components/Content/Showroom'
import { mapState, mapActions } from 'vuex'

export default {
  name: "Showrooms",
  // data() {
  //   return {
  //     items:[],
  //     page:0
  //   }
  // },
  computed: {
    ...mapState({
      items: state => state.Showrooms.items
    })
  },
  created(){
    if(!this.items.length)
      this.getItems()
  },
  methods: {
    ...mapActions({
      getItems: 'Showrooms/getItems'
    })
  },
  components: {
    Showroom
  }
}
</script>
<style lang="scss" scoped>
</style>
